package com.fufan.mtsaas.modules.unsafeevent.baqsjcommon;

import static com.fufan.mtsaas.modules.unsafeevent.baqsjcommon.BaqsjCOMMON.EVENT_ID_AccidentChokingFood;

public class BaqsjEventCOMMON {
    /**
     * @param eventNo
     * @return
     */
    public static int getEventID(String eventNo) {
        if (eventNo.equalsIgnoreCase("AccidentChokingFood")) {
            return EVENT_ID_AccidentChokingFood;
        } else if (eventNo.equalsIgnoreCase("AccidentFall")) {
            return BaqsjCOMMON.EVENT_ID_AccidentFall;
        } else if (eventNo.equalsIgnoreCase("AccidentHurt")) {
            return BaqsjCOMMON.EVENT_ID_AccidentHurt;
        } else if (eventNo.equalsIgnoreCase("AccidentOther")) {
            return BaqsjCOMMON.EVENT_ID_AccidentOther;
        } else if (eventNo.equalsIgnoreCase("AccidentOut")) {
            return BaqsjCOMMON.EVENT_ID_AccidentOut;
        } else if (eventNo.equalsIgnoreCase("AccidentSelfKill")) {
            return BaqsjCOMMON.EVENT_ID_AccidentSelfKill;
        } else if (eventNo.equalsIgnoreCase("DiagnosisDietWrong")) {
            return BaqsjCOMMON.EVENT_ID_DiagnosisDietWrong;
        } else if (eventNo.equalsIgnoreCase("DiagnosisInfusionReaction")) {
            return BaqsjCOMMON.EVENT_ID_DiagnosisInfusionReaction;
        } else if (eventNo.equalsIgnoreCase("DiagnosisMedicalHandle")) {
            return BaqsjCOMMON.EVENT_ID_DiagnosisMedicalHandle;
        } else if (eventNo.equalsIgnoreCase("DiagnosisOtherReaction")) {
            return BaqsjCOMMON.EVENT_ID_DiagnosisOtherReaction;
        } else if (eventNo.equalsIgnoreCase("DiagnosisSampleWrong")) {
            return BaqsjCOMMON.EVENT_ID_DiagnosisSampleWrong;
        } else if (eventNo.equalsIgnoreCase("DoctorAndPatientNegotiation")) {
            return BaqsjCOMMON.EVENT_ID_DoctorAndPatientNegotiation;
        } else if (eventNo.equalsIgnoreCase("HospitalInfected")) {
            return BaqsjCOMMON.EVENT_ID_HospitalInfected;
        } else if (eventNo.equalsIgnoreCase("MedicalBadReaction")) {
            return BaqsjCOMMON.EVENT_ID_MedicalBadReaction;
        } else if (eventNo.equalsIgnoreCase("MedicalWrongDrug")) {
            return BaqsjCOMMON.EVENT_ID_MedicalWrongDrug;
        } else if (eventNo.equalsIgnoreCase("MedicalInstrument")) {
            return BaqsjCOMMON.EVENT_ID_MedicalInstrument;
        } else if (eventNo.equalsIgnoreCase("OtherReactionGeneral")) {
            return BaqsjCOMMON.EVENT_ID_OtherReactionGeneral;
        } else if (eventNo.equalsIgnoreCase("OtherReactionPublic")) {
            return BaqsjCOMMON.EVENT_ID_OtherReactionPublic;
        } else if (eventNo.equalsIgnoreCase("OtherReactionPublicSecurity")) {
            return BaqsjCOMMON.EVENT_ID_OtherReactionPublicSecurity;
        } else if (eventNo.equalsIgnoreCase("PreventionAndProtection")) {
            return BaqsjCOMMON.EVENT_ID_PreventionAndProtection;
        } else if (eventNo.equalsIgnoreCase("SurgicalBad")) {
            return BaqsjCOMMON.EVENT_ID_SurgicalBad;
        } else if (eventNo.equalsIgnoreCase("SurgicalNonPlaned")) {
            return BaqsjCOMMON.EVENT_ID_SurgicalNonPlaned;
        } else if (eventNo.equalsIgnoreCase("SurgicalOperationBad")) {
            return BaqsjCOMMON.EVENT_ID_SurgicalOperationBad;
        } else if (eventNo.equalsIgnoreCase("TransfusionBloodReaction")) {
            return BaqsjCOMMON.EVENT_ID_TransfusionBloodReaction;
        } else if (eventNo.equalsIgnoreCase("TransfusionWrongBlood")) {
            return BaqsjCOMMON.EVENT_ID_TransfusionWrongBlood;
        } else {
            return BaqsjCOMMON.EVENT_ID_STANDARD;
        }

    }

    /**
     * @param eventNo
     * @return
     */
    public static String getEventName(String eventNo) {
        if (eventNo.equalsIgnoreCase("AccidentChokingFood")) {
            return BaqsjCOMMON.EVENT_NAME_AccidentChokingFood;
        } else if (eventNo.equalsIgnoreCase("AccidentFall")) {
            return BaqsjCOMMON.EVENT_NAME_AccidentFall;
        } else if (eventNo.equalsIgnoreCase("AccidentHurt")) {
            return BaqsjCOMMON.EVENT_NAME_AccidentHurt;
        } else if (eventNo.equalsIgnoreCase("AccidentOther")) {
            return BaqsjCOMMON.EVENT_NAME_AccidentOther;
        } else if (eventNo.equalsIgnoreCase("AccidentOut")) {
            return BaqsjCOMMON.EVENT_NAME_AccidentOut;
        } else if (eventNo.equalsIgnoreCase("AccidentSelfKill")) {
            return BaqsjCOMMON.EVENT_NAME_AccidentSelfKill;
        } else if (eventNo.equalsIgnoreCase("DiagnosisDietWrong")) {
            return BaqsjCOMMON.EVENT_NAME_DiagnosisDietWrong;
        } else if (eventNo.equalsIgnoreCase("DiagnosisInfusionReaction")) {
            return BaqsjCOMMON.EVENT_NAME_DiagnosisInfusionReaction;
        } else if (eventNo.equalsIgnoreCase("DiagnosisMedicalHandle")) {
            return BaqsjCOMMON.EVENT_NAME_DiagnosisMedicalHandle;
        } else if (eventNo.equalsIgnoreCase("DiagnosisOtherReaction")) {
            return BaqsjCOMMON.EVENT_NAME_DiagnosisOtherReaction;
        } else if (eventNo.equalsIgnoreCase("DiagnosisSampleWrong")) {
            return BaqsjCOMMON.EVENT_NAME_DiagnosisSampleWrong;
        } else if (eventNo.equalsIgnoreCase("DoctorAndPatientNegotiation")) {
            return BaqsjCOMMON.EVENT_NAME_DoctorAndPatientNegotiation;
        } else if (eventNo.equalsIgnoreCase("HospitalInfected")) {
            return BaqsjCOMMON.EVENT_NAME_HospitalInfected;
        } else if (eventNo.equalsIgnoreCase("MedicalBadReaction")) {
            return BaqsjCOMMON.EVENT_NAME_MedicalBadReaction;
        } else if (eventNo.equalsIgnoreCase("MedicalWrongDrug")) {
            return BaqsjCOMMON.EVENT_NAME_MedicalWrongDrug;
        } else if (eventNo.equalsIgnoreCase("MedicalInstrument")) {
            return BaqsjCOMMON.EVENT_NAME_MedicalInstrument;
        } else if (eventNo.equalsIgnoreCase("OtherReactionGeneral")) {
            return BaqsjCOMMON.EVENT_NAME_OtherReactionGeneral;
        } else if (eventNo.equalsIgnoreCase("OtherReactionPublic")) {
            return BaqsjCOMMON.EVENT_NAME_OtherReactionPublic;
        } else if (eventNo.equalsIgnoreCase("OtherReactionPublicSecurity")) {
            return BaqsjCOMMON.EVENT_NAME_OtherReactionPublicSecurity;
        } else if (eventNo.equalsIgnoreCase("PreventionAndProtection")) {
            return BaqsjCOMMON.EVENT_NAME_PreventionAndProtection;
        } else if (eventNo.equalsIgnoreCase("SurgicalBad")) {
            return BaqsjCOMMON.EVENT_NAME_SurgicalBad;
        } else if (eventNo.equalsIgnoreCase("SurgicalNonPlaned")) {
            return BaqsjCOMMON.EVENT_NAME_SurgicalNonPlaned;
        } else if (eventNo.equalsIgnoreCase("SurgicalOperationBad")) {
            return BaqsjCOMMON.EVENT_NAME_SurgicalOperationBad;
        } else if (eventNo.equalsIgnoreCase("TransfusionBloodReaction")) {
            return BaqsjCOMMON.EVENT_NAME_TransfusionBloodReaction;
        } else if (eventNo.equalsIgnoreCase("TransfusionWrongBlood")) {
            return BaqsjCOMMON.EVENT_NAME_TransfusionWrongBlood;
        } else {
            return BaqsjCOMMON.EVENT_NAME_STANDARD;
        }
    }
}
